Reply To Thread
curl --request POST \
--url https://api.decodahealth.com/email/threads/{thread_id}/reply \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/email/threads/{thread_id}/reply"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/email/threads/{thread_id}/reply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"messageId": "<string>",
"threadId": "<string>",
"error": "<string>",
"message": {
"id": "<string>",
"threadId": "<string>",
"subject": "<string>",
"bodyText": "<string>",
"bodyHtml": "<string>",
"snippet": "<string>",
"sentDate": "2023-11-07T05:31:56Z",
"deliveredDate": "2023-11-07T05:31:56Z",
"isRead": true,
"isStarred": true,
"isDraft": true,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"messageType": "CUSTOM",
"participants": [],
"attachments": [],
"openCount": 0,
"uniqueOpenCount": 0,
"clickCount": 0,
"uniqueClickCount": 0,
"firstOpenedDate": "2023-11-07T05:31:56Z",
"lastOpenedDate": "2023-11-07T05:31:56Z"
},
"threadListItem": {
"id": "<string>",
"subject": "<string>",
"snippet": "<string>",
"isRead": true,
"isStarred": true,
"isArchived": true,
"firstMessageDate": "2023-11-07T05:31:56Z",
"lastMessageDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"messageCount": 0,
"fromContact": {
"id": "<string>",
"email": "<string>",
"displayName": "<string>",
"contactType": "EXTERNAL",
"patientIds": [
"<string>"
],
"patients": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"toContacts": [],
"awaitingReply": false,
"hasAttachments": false,
"primaryPatientId": "<string>",
"openCount": 0,
"clickCount": 0,
"lastOpenedDate": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Email
Reply To Thread
Reply to an existing email thread. Supports file attachments via multipart/form-data.
POST
/
email
/
threads
/
{thread_id}
/
reply
Reply To Thread
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Response after sending an email.
Email message in API responses.
Show child attributes
Show child attributes
Email thread in list responses (without full messages).
Show child attributes
Show child attributes
⌘I
